<template xmlns:v-slot="http://www.w3.org/1999/XSL/Transform">
	<div class="campaign">
		<v-container fluid pa-0>
			<v-layout>
				<v-flex>
					<v-stepper class="n-step-box" v-model="currentStep">
						<v-stepper-header class="n-step-header">
							<div class="n-step-header-content">
								<v-layout row wrap>
									<v-flex xs4>
										<v-stepper-step step="1" class="n-step">Client Information</v-stepper-step>
									</v-flex>

									<v-flex xs4>
										<v-stepper-step step="2" class="n-step">Campaign Information</v-stepper-step>
									</v-flex>

									<v-flex xs4>
										<v-stepper-step step="3" class="n-step">Media</v-stepper-step>
									</v-flex>
								</v-layout>
							</div>
						</v-stepper-header>
						<Map :markers="mapMarkers" :center="mapCenter" v-if="currentStep === 2"></Map>
						<v-stepper-items class="n-step-item">
							<v-stepper-content class="n-step-content-box" step="1">
								<div class="n-step-1">
									<v-container class="n-step-container">
										<div class="col">
											<div class="input-group">
												<span class="lable">Campaign Name</span>
												<input
													v-model="campaign.clientInfo.name"
													v-validate="{ required: true }"
													type="text"
													name="fieldName"
													placeholder="Type ad name here"
													data-vv-scope="n-step1"
												>
												<span
													class="red--text"
													v-show="errors.has('n-step1.fieldName')"
												>{{ errors.first('n-step1.fieldName') }}</span>
											</div>
											<div class="input-group">
												<span class="lable">Client</span>
												<v-flex xs12 sm12 d-flex>
													<mc-select
														id="client"
														enhanced
														:float="false"
														name="client"
														v-model="campaign.clientInfo.client"
														v-validate="'required'"
														data-vv-scope="n-step1"
														@change="onChangeClient"
														placeholder="Choose a client"
														:options="clientList"
													>
													</mc-select>
												</v-flex>
												<span v-show="errors.has('n-step1.fieldClients')" class="red--text">
									{{ errors.first('n-step1.fieldClients') }}
								</span>
											</div>
											<v-layout
												v-show="campaign.clientInfo"
												row wrap class="n-item-info">
												<v-flex xs12>
													<div class="n-title">
														<span>{{clientSelected.name}}</span>
													</div>
												</v-flex>
												<v-flex xs3>
													<div class="n-title-label">
														<span class="grey--text" v-show="clientSelected.email">Email</span><br>
														<span
															class="grey--text"
															v-show="clientSelected.phone">Phone Number</span><br>
														<span class="grey--text" v-show="clientSelected.address">Address</span>
													</div>
												</v-flex>
												<v-flex xs9>
													<div class="n-title-text">
														<span v-show="clientSelected.email">{{clientSelected.email}}</span><br>
														<span v-show="clientSelected.phone">{{clientSelected.phone}}</span><br>
														<span v-show="clientSelected.address">{{clientSelected.address}}</span>
													</div>
												</v-flex>
											</v-layout>
										</div>
										<div class="col">
											<div class="input-group">
												<span class="lable">Description</span>
												<textarea
													v-model="campaign.clientInfo.description" cols="20" rows="10"
													placeholder="Type description here"></textarea>
											</div>
										</div>
									</v-container>
								</div>
							</v-stepper-content>

							<v-stepper-content class="n-step-content-box" step="2">

								<v-container grid-list-xl class="n-step-container">
									<v-layout row wrap>
										<v-flex xs8 class="n-col">
											<v-layout wrap align-content-center>
												<v-flex xs12 md6>
													<div class="mdc-form-row">
														<mc-control-label>Location</mc-control-label>
														<mc-select
															outlined
															enhanced
															:float="false"
															name="cities"
															v-model="campaign.campaignInfo.city"
															v-validate="'required'"
															data-vv-scope="n-step2"
															@change="onChangeCity"
															placeholder="Select a city"
															:options="cities"
															class="n-input"
														>
														</mc-select>
														<span v-show="errors.has('n-step2.cities')" class="red--text">
												{{ errors.first('n-step2.cities') }}
											</span>
													</div>
												</v-flex>
											</v-layout>
											<v-layout row wrap>
												<v-flex xs12 md12>
													<div class="mdc-form-row">
														<mc-control-label>District</mc-control-label>
														<v-combobox
															placeholder="Select a district(s)"
															:items="districts"
															item-text="text"
															item-value="text"
															multiple
															chips
															solo
															v-model="campaign.campaignInfo.district"
															data-vv-scope="n-step2"
															name="district"
															v-validate="'required'"
															@change="onChangeDistricts"
															append-icon="add"
															class="mdc-combobox"
															hide-details
														>
															<template slot="selection" slot-scope="{ item, parent, selected }">
																<v-chip color="error" text-color="#fff">
																	<v-icon left small @click="parent.selectItem(item)">close</v-icon>
																	{{ item.text }}
																</v-chip>
															</template>
														</v-combobox>
													</div>
													<span v-show="errors.has('n-step2.district')" class="red--text">
											{{ errors.first('n-step2.district') }}
										</span>
												</v-flex>
											</v-layout>
											<v-layout row wrap>
												<v-flex xs12 md12 class="n-form-item">
													<div class="mdc-form-row">
														<mc-control-label>Near by</mc-control-label>
														<v-combobox
															placeholder="Select a nearby(s)"
															:items="nearbys"
															item-text="name"
															item-value="id"
															multiple
															chips
															solo
															v-model="campaign.campaignInfo.nearby"
															name="nearby"
															@change="onChangeNearbys"
															append-icon="add"
															class="mdc-combobox"
															hide-details
														>
															<template slot="selection" slot-scope="{ item, parent, selected }">
																<v-chip color="error" text-color="#fff">
																	<v-icon left small @click="parent.selectItem(item)">close</v-icon>
																	{{ item.name }}
																</v-chip>
															</template>
														</v-combobox>
													</div>
												</v-flex>
											</v-layout>
											<v-layout row wrap>
												<v-flex xs12>
													<div class="mdc-form-row time-section">
														<mc-control-label>Time</mc-control-label>
														<v-layout row wrap>
															<v-flex xs6>
																<div class="time-title">
																	<span>Start date</span>
																</div>
																<input
																	type="hidden"
																	v-model="campaign.campaignInfo.available.from"
																	v-validate="'less_than_eq:toDate'"
																	data-vv-name="fromDate"
																	data-vv-scope="n-step2">
																<v-menu
																	ref="startDateEl"
																	v-model="isShowStartDate"
																	:close-on-content-click="false"
																	:nudge-right="40"
																	lazy
																	transition="scale-transition"
																	offset-y
																	full-width
																	max-width="290px"
																	min-width="290px"
																>
																	<template v-slot:activator="{ on }">
																		<v-text-field
																			v-model="fromDateFormatted"
																			placeholder="DD M YYY"
																			persistent-hint
																			hide-details
																			@blur="fromDateFormat = parseDate(fromDateFormatted)"
																			solo
																			v-on="on"
																		>
																			<template
																				slot="prepend-inner"
																				class="v-input__prepend-inner--img">
																				<v-img
																					class="v-input__prepend-inner--img"
																					contain
																				>
																					<img
																						src="@/assets/images/icons/calendar-icon.png">
																				</v-img>
																			</template>
																		</v-text-field>
																	</template>
																	<v-date-picker
																		v-model="fromDateFormat" no-title
																		color="error"
																		:min="minDate"
																		@input="onChangeStartDate"></v-date-picker>
																</v-menu>
																<span v-show="errors.has('n-step2.fromDate')" class="red--text">
														{{ errors.first('n-step2.fromDate') }}
													</span>
															</v-flex>
															<v-flex xs6>
																<div class="time-title">
																	<span>Start time</span>
																</div>
																<input
																	type="hidden"
																	v-model="startDateTime"
																	v-validate="'less_than_eq:toFormatValue'"
																	name="fromTime"
																	data-vv-scope="n-step2">
																<v-menu
																	ref="startTimeEl"
																	v-model="isShowStartTimeDialog"
																	:close-on-content-click="false"
																	:nudge-right="40"
																	:return-value.sync="fromTimeFormat"
																	lazy
																	transition="scale-transition"
																	offset-y
																	full-width
																	max-width="290px"
																	min-width="290px"
																>
																	<template v-slot:activator="{ on }">
																		<v-text-field
																			v-model="fromTimeFormat"
																			label="HH:mm"
																			readonly
																			solo
																			v-on="on"
																			hide-details
																		>
																			<template
																				slot="prepend-inner"
																				class="v-input__prepend-inner--img">
																				<v-img
																					class="v-input__prepend-inner--img"
																					contain
																				>
																					<img src="@/assets/images/icons/clock-icon.png">
																				</v-img>
																			</template>
																		</v-text-field>
																	</template>
																	<v-time-picker
																		v-if="isShowStartTimeDialog"
																		v-model="fromTimeFormat"
																		full-width
																		color="error"
																		@click:minute="$refs.startTimeEl.save(fromTimeFormat)"
																		@change="onChangeStartTime"
																	></v-time-picker>
																</v-menu>
																<span v-show="errors.has('n-step2.fromTime')" class="red--text">
														{{ errors.first('n-step2.fromTime') }}
													</span>
															</v-flex>
															<v-spacer></v-spacer>
															<v-flex xs6>
																<div class="time-title">
																	<span>End date</span>
																</div>
																<input
																	type="hidden"
																	v-model="campaign.campaignInfo.available.to"
																	data-vv-name="toDate"
																	name="toDate"
																	ref="toDate"
																	data-vv-scope="n-step2">
																<v-menu
																	ref="endDateEl"
																	v-model="isShowEndDate"
																	:close-on-content-click="false"
																	:nudge-right="40"
																	lazy
																	transition="scale-transition"
																	offset-y
																	full-width
																	max-width="290px"
																	min-width="290px"
																>
																	<template v-slot:activator="{ on }">
																		<v-text-field
																			v-model="toDateFormatted"
																			placeholder="DD M YYY"
																			persistent-hint
																			@blur="toDateFormat = parseDate(toDateFormatted)"
																			solo
																			v-on="on"
																			hide-details
																		>
																			<template
																				slot="prepend-inner"
																				class="v-input__prepend-inner--img">
																				<v-img
																					class="v-input__prepend-inner--img"
																					contain
																				>
																					<img
																						src="@/assets/images/icons/calendar-icon.png">
																				</v-img>
																			</template>
																		</v-text-field>
																	</template>
																	<v-date-picker
																		v-model="toDateFormat" no-title
																		color="error"
																		:min="minDate"
																		@input="onChangeEndDate"></v-date-picker>
																</v-menu>
																<span v-show="errors.has('n-step2.toDate')" class="red--text">
											{{ errors.first('n-step2.toDate') }}
										</span>
															</v-flex>
															<v-flex xs6>
																<div class="time-title">
																	<span>End time</span>
																</div>
																<input
																	type="hidden"
																	v-model="endDateTime"
																	name="toFormatValue"
																	ref="toFormatValue"
																	data-vv-scope="n-step2">
																<v-menu
																	ref="endTimeEl"
																	v-model="isShowEndTimeDialog"
																	:close-on-content-click="false"
																	:nudge-right="40"
																	:return-value.sync="toTimeFormat"
																	lazy
																	transition="scale-transition"
																	offset-y
																	full-width
																	max-width="290px"
																	min-width="290px"
																>
																	<template v-slot:activator="{ on }">
																		<v-text-field
																			v-model="toTimeFormat"
																			placeholder="HH:mm"
																			readonly
																			solo
																			v-on="on"
																			hide-details
																		>
																			<template
																				slot="prepend-inner"
																				class="v-input__prepend-inner--img">
																				<v-img
																					class="v-input__prepend-inner--img"
																					contain
																				>
																					<img src="@/assets/images/icons/clock-icon.png">
																				</v-img>
																			</template>
																		</v-text-field>
																	</template>
																	<v-time-picker
																		v-if="isShowEndTimeDialog"
																		v-model="toTimeFormat"
																		full-width
																		color="error"
																		@click:minute="$refs.endTimeEl.save(toTimeFormat)"
																		@change="onChangeEndTime"
																	></v-time-picker>
																</v-menu>
																<span v-show="errors.has('n-step2.to')" class="red--text">
														{{ errors.first('n-step2.to') }}
													</span>
															</v-flex>
														</v-layout>
													</div>
												</v-flex>
												<v-flex xs6>
													<div class="mdc-form-row">
														<mc-control-label>Budget</mc-control-label>
														<mc-input-number
															type="number"
															placeholder="0"
															v-model="campaign.campaignInfo.budget"
															name="budget"
															data-vv-scope="n-step2"
															v-validate="'decimal|min_value:50'"
														>
															<i slot="prepend-icon" class="n-icon n-usd">$</i>
														</mc-input-number>
														<span v-show="errors.has('n-step2.budget')" class="red--text">
												{{ errors.first('n-step2.budget') }}
											</span>
													</div>
												</v-flex>
											</v-layout>
											<div class="n-options">
												<v-flex xs12>
													<Audience></Audience>
												</v-flex>
												<v-flex xs12>
													<Environment></Environment>
												</v-flex>
											</div>
										</v-flex>
										<v-flex xs4 class="n-col n-calc-sidebar">
											<div class="n-calc-sidebar-inner">
												<v-flex pa-0 xs12>
													<v-card flat class="calc-item first">
														<v-layout row wrap>
															<v-flex pa-0 xs3 class="n-calc-box">
																<v-img
																	class="n-item-img"
																	:src="require('../../../assets/images/icons/car-icon.png')"
																	contain
																>
																</v-img>
															</v-flex>
															<v-flex pa-0 xs9>
																<div>
																	<v-card-title>
																		<div>
																			<div class="calc-item-title">Number of cars/devices
																			</div>
																		</div>
																	</v-card-title>
																	<v-card-actions>
																		<span class="num-item">{{campaign.campaignInfo.costInfo.devices}}</span>
																	</v-card-actions>
																</div>
															</v-flex>
														</v-layout>
													</v-card>
												</v-flex>
												<v-flex pa-0 xs12>
													<v-card flat class="calc-item">
														<v-layout>
															<v-flex pa-0 xs3 class="n-calc-box">
																<v-img
																	class="n-item-img"
																	:src="require('../../../assets/images/icons/viewers-icon.png')"
																	contain
																></v-img>
															</v-flex>
															<v-flex pa-0 xs9>
																<div>
																	<v-card-title primary-title class="n-card-title">
																		<div>
																			<div class="calc-item-title">Estimated viewer's
																				population
																			</div>
																		</div>
																	</v-card-title>
																	<v-card-actions>
																		<span class="num-item">{{campaign.campaignInfo.costInfo.viewer}}</span>
																	</v-card-actions>
																</div>
															</v-flex>
														</v-layout>
													</v-card>
												</v-flex>
												<v-flex pa-0 xs12>
													<v-card flat class="calc-item">
														<v-layout>
															<v-flex pa-0 xs3 class="n-calc-box">
																<v-img
																	class="n-item-img"
																	:src="require('../../../assets/images/icons/impression-icon.png')"

																	contain
																></v-img>
															</v-flex>
															<v-flex pa-0 xs9>
																<div>
																	<v-card-title primary-title>
																		<div>
																			<div class="calc-item-title">Impressions</div>
																		</div>
																	</v-card-title>
																	<v-card-actions>
																		<span class="num-item">{{campaign.campaignInfo.costInfo.impressions}}</span>
																	</v-card-actions>
																</div>
															</v-flex>
														</v-layout>
													</v-card>
												</v-flex>
												<v-flex pa-0 xs12>
													<v-card flat class="calc-item">
														<v-layout>
															<v-flex xs12>
																<div>
																	<v-card-title primary-title class="n-center">
																		<div>
																			<div class="n-total-title">Total Cost</div>
																		</div>
																	</v-card-title>
																	<v-card-actions class="n-center">
																		<span class="n-total">${{campaign.campaignInfo.costInfo.totalCost}}</span>
																	</v-card-actions>
																</div>
															</v-flex>
														</v-layout>
													</v-card>
												</v-flex>
											</div>
										</v-flex>
									</v-layout>
								</v-container>
							</v-stepper-content>

							<v-stepper-content class="n-step-content" step="3">
								<v-container class="n-container" pa-0>
									<v-layout>
										<v-flex>
											<div class="n-step-inner">
												<v-container pa-0 class="n-upload-container">
													<v-layout wrap>
														<v-flex pa-0 mb-3 xs12>
															<div class="upoad-file-box">
																<v-responsive :aspect-ratio="16/9" class="media-el">
																	<input
																		class="mediaUpload"
																		ref="mediaUpload"
																		type="file"
																		name="file"
																		@change="onFilePicked"
																		v-validate="'required|ext:jpeg,jpg,gif,png,mpg,mpeg,mp4,mov,avi|size:51200'"
																		data-vv-scope="n-step3"
																	>
																	<div
																		v-show="paused && campaign.media.file && videoState > 1 && campaign.media.type == 'video'"
																		@click="play" class="n-play-btn"></div>
																	<div
																		v-show="!paused && campaign.media.file && videoState > 1 && campaign.media.type == 'video'"
																		@click="pause" class="n-pause-btn"></div>
																	<div class="file-choose-ui">
																		<h3 class="desc">Add your file here</h3>
																		<v-btn class="mx-2 add-icon" fab dark>
																			<v-icon dark>add</v-icon>
																		</v-btn>
																	</div>

																	<div class="n-player" v-if="campaign.media.type === 'image'">
																		<v-card class="n-media-view" v-if="campaign.media.url">
																			<img :src="campaign.media.url"/>
																		</v-card>
																	</div>
																	<div class="n-player" v-if="campaign.media.type === 'video'">
																		<v-card class="n-media-view" v-if="campaign.media.url">
																			<v-responsive :aspect-ratio="16/9" class="n-media-box">
																				<video @canplay="updatePaused" @playing="updatePaused" @pause="updatePaused" ref="video">
																					<source :src="campaign.media.url" type="video/mp4">
																					Your browser does not support HTML5 video.
																				</video>
																			</v-responsive>
																		</v-card>
																	</div>
																</v-responsive>
															</div>
															<span v-show="errors.has('n-step3.file')" class="red--text">
																{{ errors.first('n-step3.file') }}
															</span>
														</v-flex>
														<v-flex pa-0 mb-2 xs12>
															<div class="upload-toolbar">
																<v-progress-linear v-if="videoState == 1" :indeterminate="true"></v-progress-linear>
																<v-toolbar flat color="#f5f5f5" v-if="campaign.media.file" class="n-toolbar">
																	<v-toolbar-title class="upload-toolbar--title">{{campaign.media.name}}</v-toolbar-title>
																	<v-spacer></v-spacer>
																	<v-btn class="n-icon overwrite upload-icon mx-1" icon>
																		<v-icon @click="onHandlePickMedia">cloud_upload</v-icon>
																	</v-btn>
																	<v-btn class="n-icon overwrite delete-icon mx-1" icon>
																		<v-icon @click="onConfirmDeleteMedia(campaign.media.name,$event)">delete</v-icon>
																	</v-btn>
																</v-toolbar>
															</div>
														</v-flex>
														<v-flex pa-0 mb-2 xs12>
															<p class="accept-file">Required formats: .jpeg, .jpg, .gif, .png, .mpg, .mpeg, .mp4, .mov, .avi</p>
														</v-flex>
													</v-layout>
												</v-container>
											</div>
										</v-flex>
									</v-layout>
								</v-container>
							</v-stepper-content>
						</v-stepper-items>
					</v-stepper>
				</v-flex>
			</v-layout>
		</v-container>
		<div class="step-navigator">
			<v-container class="n-container">
				<v-layout>
					<v-flex>
						<div>
							<v-btn class="btnCancel" @click="canCelCampaign" flat>Cancel</v-btn>
							<v-btn v-show="currentStep > 1" class="btnCancel" @click="prevStep" flat>Back</v-btn>
							<v-btn
								v-show="currentStep < 3"
								class="btnNext"
								@click="nextStep"
							>
								Next
							</v-btn>
							<v-btn
								v-show="currentStep > 2"
								class="btnNext"
								@click="onCreateCampaing"
							>
								Finish
							</v-btn>
						</div>
					</v-flex>
				</v-layout>
			</v-container>
		</div>
		<div class="text-xs-center">
			<v-dialog
				v-model="isConfirmAction"
				max-width="400"
			>
				<v-card class="n-dialog">

					<v-card-text class="n-dialog-content" v-html="dialogMessage">
					</v-card-text>

					<v-card-actions>
						<div class="n-dialog-actions">
							<a
								class="n-btn n-btn-yes"
								@click="onDoAction(action)"
							>
								Yes
							</a>
							<a
								class="n-btn n-btn-no"
								@click="onNoAction()"
							>
								No
							</a>
						</div>
					</v-card-actions>
				</v-card>
			</v-dialog>
		</div>
	</div>
</template>
<script lang="js" src="./index.js"></script>
